Description

It looks like there is a hook we forgot to remove when we dynflowed product/repo destroy. Here's the error:

VCR::Errors::UnhandledHTTPRequestError: 

================================================================================

An HTTP request has been made that VCR does not know how to handle:

  GET https://localhost:8443/candlepin/environments/2

There is currently no cassette in use. There are a few ways

you can configure VCR to handle this request:

  * If you're surprised VCR is raising this error

    and want insight about how VCR attempted to handle the request,

    you can use the debug_logger configuration option to log more details [1].

  * If you want VCR to record this request and play it back during future test

    runs, you should wrap your test (or this portion of your test) in a

    `VCR.use_cassette` block [2].

  * If you only want VCR to handle requests made while a cassette is in use,

    configure `allow_http_connections_when_no_cassette = true`. VCR will

    ignore this request since it is made when there is no cassette [3].

  * If you want VCR to ignore this request (and others like it), you can

    set an `ignore_request` callback [4].

[1] https://www.relishapp.com/vcr/vcr/v/2-9-0/docs/configuration/debug-logging

[2] https://www.relishapp.com/vcr/vcr/v/2-9-0/docs/getting-started

[3] https://www.relishapp.com/vcr/vcr/v/2-9-0/docs/configuration/allow-http-connections-when-no-ca

ssette

[4] https://www.relishapp.com/vcr/vcr/v/2-9-0/docs/configuration/ignore-request

================================================================================

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/vcr-2.9.0/lib/vcr/request_handler.rb:97:i

n `on_unhandled_request'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/vcr-2.9.0/lib/vcr/library_hooks/webmock.r

b:112:in `on_unhandled_request'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/vcr-2.9.0/lib/vcr/request_handler.rb:24:i

n `handle'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/vcr-2.9.0/lib/vcr/library_hooks/webmock.r

b:127:in `block in <module:WebMock>'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/webmock-1.17.4/lib/webmock/stub_registry.

rb:28:in `call'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/webmock-1.17.4/lib/webmock/stub_registry.

rb:28:in `block in register_global_stub'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/webmock-1.17.4/lib/webmock/request_patter

n.rb:35:in `call'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/webmock-1.17.4/lib/webmock/request_patter

n.rb:35:in `matches?'
    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/webmock-1.17.4/lib/webmock/stub_registry.

rb:58:in `block in request_stub_for'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/webmock-1.17.4/lib/webmock/stub_registry.

rb:57:in `each'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/webmock-1.17.4/lib/webmock/stub_registry.

rb:57:in `detect'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/webmock-1.17.4/lib/webmock/stub_registry.

rb:57:in `request_stub_for'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/webmock-1.17.4/lib/webmock/stub_registry.

rb:50:in `response_for_request'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/webmock-1.17.4/lib/webmock/http_lib_adapt

ers/net_http.rb:79:in `request'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/rbovirt-0.0.26/lib/restclient_ext/request

.rb:48:in `block in transmit'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/webmock-1.17.4/lib/webmock/http_lib_adapt

ers/net_http.rb:123:in `start_without_connect'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/webmock-1.17.4/lib/webmock/http_lib_adapt

ers/net_http.rb:150:in `start'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/rbovirt-0.0.26/lib/restclient_ext/request

.rb:44:in `transmit'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/rest-client-1.6.7/lib/restclient/request.

rb:64:in `execute'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/rest-client-1.6.7/lib/restclient/request.

rb:33:in `execute'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/rest-client-1.6.7/lib/restclient/resource

.rb:51:in `get'

    /home/dadavis/Projects/katello/app/lib/katello/http_resource.rb:97:in `get'

    /home/dadavis/Projects/katello/app/lib/katello/resources/candlepin.rb:474:in `find'

    /home/dadavis/Projects/katello/app/models/katello/glue/candlepin/environment.rb:65:in `saved_e

nv_content_ids'

    /home/dadavis/Projects/katello/app/models/katello/glue/candlepin/environment.rb:47:in `update_

cp_content'

    /home/dadavis/Projects/katello/app/models/katello/content_view.rb:453:in `update_cp_content'

    /home/dadavis/Projects/katello/app/models/katello/glue/candlepin/content.rb:40:in `update_envi

ronment_content'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activesupport-3.2.18/lib/active_support/c

allbacks.rb:442:in `_run__3765026088379951302__destroy__2310434606629137622__callbacks'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activesupport-3.2.18/lib/active_support/c

allbacks.rb:405:in `__run_callback'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activesupport-3.2.18/lib/active_support/c

allbacks.rb:385:in `_run_destroy_callbacks'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activesupport-3.2.18/lib/active_support/c

allbacks.rb:81:in `run_callbacks'                                                          [55/189

5]

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activerecord-3.2.18/lib/active_record/cal

lbacks.rb:254:in `destroy'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activerecord-3.2.18/lib/active_record/tra

nsactions.rb:254:in `block in destroy'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activerecord-3.2.18/lib/active_record/tra

nsactions.rb:313:in `block in with_transaction_returning_status'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activerecord-3.2.18/lib/active_record/con

nection_adapters/abstract/database_statements.rb:192:in `transaction'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activerecord-3.2.18/lib/active_record/tra

nsactions.rb:208:in `transaction'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activerecord-3.2.18/lib/active_record/tra

nsactions.rb:311:in `with_transaction_returning_status'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activerecord-3.2.18/lib/active_record/tra

nsactions.rb:254:in `destroy'

    /home/dadavis/Projects/katello/app/models/katello/glue.rb:94:in `destroy'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activerecord-3.2.18/lib/active_record/ass

ociations/has_many_association.rb:90:in `block in delete_records'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activerecord-3.2.18/lib/active_record/ass

ociations/has_many_association.rb:90:in `each'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activerecord-3.2.18/lib/active_record/ass

ociations/has_many_association.rb:90:in `delete_records'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activerecord-3.2.18/lib/active_record/ass

ociations/collection_association.rb:466:in `remove_records'
    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activerecord-3.2.18/lib/active_record/ass

ociations/collection_association.rb:459:in `block in delete_or_destroy'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activerecord-3.2.18/lib/active_record/ass

ociations/collection_association.rb:149:in `block in transaction'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activerecord-3.2.18/lib/active_record/con

nection_adapters/abstract/database_statements.rb:192:in `transaction'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activerecord-3.2.18/lib/active_record/tra

nsactions.rb:208:in `transaction'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activerecord-3.2.18/lib/active_record/ass

ociations/collection_association.rb:148:in `transaction'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activerecord-3.2.18/lib/active_record/ass

ociations/collection_association.rb:459:in `delete_or_destroy'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activerecord-3.2.18/lib/active_record/ass

ociations/collection_association.rb:231:in `delete'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activerecord-3.2.18/lib/active_record/ass

ociations/collection_association.rb:157:in `delete_all'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activerecord-3.2.18/lib/active_record/ass

ociations/collection_proxy.rb:46:in `delete_all'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activerecord-3.2.18/lib/active_record/ass

ociations/builder/has_many.rb:42:in `block in define_destroy_dependency_method'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activesupport-3.2.18/lib/active_support/c

allbacks.rb:419:in `block in _run__1732847630994192790__destroy__2310434606629137622__callbacks'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activesupport-3.2.18/lib/active_support/c

allbacks.rb:215:in `block in _conditional_callback_around_9599'

    /home/dadavis/Projects/katello/app/models/katello/glue.rb:48:in `on_destroy'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activesupport-3.2.18/lib/active_support/c

allbacks.rb:214:in `_conditional_callback_around_9599'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activesupport-3.2.18/lib/active_support/c

allbacks.rb:403:in `_run__1732847630994192790__destroy__2310434606629137622__callbacks'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activesupport-3.2.18/lib/active_support/c

allbacks.rb:405:in `__run_callback'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activesupport-3.2.18/lib/active_support/c

allbacks.rb:385:in `_run_destroy_callbacks'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activesupport-3.2.18/lib/active_support/c

allbacks.rb:81:in `run_callbacks'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activerecord-3.2.18/lib/active_record/cal

lbacks.rb:254:in `destroy'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activerecord-3.2.18/lib/active_record/tra

nsactions.rb:254:in `block in destroy'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activerecord-3.2.18/lib/active_record/tra

nsactions.rb:313:in `block in with_transaction_returning_status'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activerecord-3.2.18/lib/active_record/con

nection_adapters/abstract/database_statements.rb:192:in `transaction'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activerecord-3.2.18/lib/active_record/tra

nsactions.rb:208:in `transaction'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activerecord-3.2.18/lib/active_record/tra

nsactions.rb:311:in `with_transaction_returning_status'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activerecord-3.2.18/lib/active_record/tra

nsactions.rb:254:in `destroy'

    /home/dadavis/Projects/katello/app/models/katello/glue.rb:94:in `destroy'

    /home/dadavis/Projects/katello/app/models/katello/model.rb:21:in `destroy!'

    /home/dadavis/Projects/katello/app/lib/actions/katello/organization/destroy.rb:112:in `block (

2 levels) in remove_products'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activerecord-3.2.18/lib/active_record/ass

ociations/collection_proxy.rb:91:in `each'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/activerecord-3.2.18/lib/active_record/ass

ociations/collection_proxy.rb:91:in `method_missing'

    /home/dadavis/Projects/katello/app/lib/actions/katello/organization/destroy.rb:110:in `block i

n remove_products'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/dynflow-0.7.0/lib/dynflow/testing/dummy_e

xecution_plan.rb:51:in `call'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/dynflow-0.7.0/lib/dynflow/testing/dummy_e

xecution_plan.rb:51:in `switch_flow'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/dynflow-0.7.0/lib/dynflow/action.rb:311:i

n `concurrence'

    /home/dadavis/Projects/katello/app/lib/actions/katello/organization/destroy.rb:109:in `remove_

products'
    /home/dadavis/Projects/katello/app/lib/actions/katello/organization/destroy.rb:36:in `block (2

 levels) in plan'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/dynflow-0.7.0/lib/dynflow/testing/dummy_e

xecution_plan.rb:51:in `call'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/dynflow-0.7.0/lib/dynflow/testing/dummy_e

xecution_plan.rb:51:in `switch_flow'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/dynflow-0.7.0/lib/dynflow/action.rb:316:i

n `sequence'

    /home/dadavis/Projects/katello/app/lib/actions/katello/organization/destroy.rb:26:in `block in

 plan'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/dynflow-0.7.0/lib/dynflow/testing/dummy_e

xecution_plan.rb:51:in `call'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/dynflow-0.7.0/lib/dynflow/testing/dummy_e

xecution_plan.rb:51:in `switch_flow'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/dynflow-0.7.0/lib/dynflow/action.rb:311:i

n `concurrence'

    /home/dadavis/Projects/katello/app/lib/actions/katello/organization/destroy.rb:23:in `plan'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/dynflow-0.7.0/lib/dynflow/action.rb:394:i

n `block (3 levels) in execute_plan'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/dynflow-0.7.0/lib/dynflow/middleware/stac

k.rb:26:in `call'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/dynflow-0.7.0/lib/dynflow/middleware/stac

k.rb:26:in `pass'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/dynflow-0.7.0/lib/dynflow/middleware.rb:1

6:in `pass'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/dynflow-0.7.0/lib/dynflow/middleware.rb:2

9:in `plan'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/dynflow-0.7.0/lib/dynflow/middleware/stac

k.rb:22:in `call'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/dynflow-0.7.0/lib/dynflow/middleware/worl

d.rb:30:in `execute'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/dynflow-0.7.0/lib/dynflow/action.rb:393:i

n `block (2 levels) in execute_plan'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/dynflow-0.7.0/lib/dynflow/testing/dummy_e

xecution_plan.rb:51:in `call'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/dynflow-0.7.0/lib/dynflow/testing/dummy_e

xecution_plan.rb:51:in `switch_flow'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/dynflow-0.7.0/lib/dynflow/action.rb:311:i

n `concurrence'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/dynflow-0.7.0/lib/dynflow/action.rb:392:i

n `block in execute_plan'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/dynflow-0.7.0/lib/dynflow/action.rb:361:i

n `call'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/dynflow-0.7.0/lib/dynflow/action.rb:361:i

n `block in with_error_handling'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/dynflow-0.7.0/lib/dynflow/action.rb:361:i

n `catch'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/dynflow-0.7.0/lib/dynflow/action.rb:361:i

n `with_error_handling'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/dynflow-0.7.0/lib/dynflow/action.rb:391:i

n `execute_plan'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/dynflow-0.7.0/lib/dynflow/action.rb:226:i

n `execute'

    /home/dadavis/.rvm/gems/ruby-1.9.3-p545@foreman/gems/dynflow-0.7.0/lib/dynflow/testing/factori

es.rb:41:in `plan_action'

Associated revisions

Revision c094d906 - 07/02/2014 01:31 PM - David Davis

Fixes #6460,BZ1115553 - Removing old orchestration hook

Revision 7af1e2c6 - 07/07/2014 11:26 AM - David Davis

Merge pull request #4377 from daviddavis/temp/20140702112525

Fixes #6460,BZ1115553 - Removing old orchestration hook
History

#1 - 07/01/2014 01:50 PM - David Davis

Started working on this as part of org destroy but decided to back out the changes:

https://gist.github.com/e99d788dd1c23ee000b6

https://gist.github.com/f2007ccfaaac32df8d34

#2 - 07/02/2014 11:23 AM - Partha Aji

- Bugzilla link set to 1115553

#3 - 07/07/2014 12:04 PM - David Davis

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|c094d906aa162d00fbdd48140dfd6074e58b46dc.

#4 - 07/07/2014 01:26 PM - Eric Helms

- Category set to Orchestration

- Target version set to 49

- Difficulty set to easy

- Triaged changed from No to Yes

#5 - 08/22/2014 08:59 AM - Eric Helms

- translation missing: en.field_release set to 13
